<?php
/*
= LuxCal event calendar style sheet =

 Copyright 2009-2011  LuxSoft - www.LuxSoft.eu

This file is part of the LuxCal Web Calendar.

The LuxCal Web Calendar is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by the Free Software Foundation, 
either version 3 of the License, or (at your option) any later version.

The LuxCal Web Calendar is distributed in the hope that it will be useful, but WITHOUT 
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the LuxCal 
Web Calendar. If not, see <http://www.gnu.org/licenses/>.
*/

header('content-type:text/css');
header("Expires: ".gmdate("D, d M Y H:i:s", (time()+900)) . " GMT");

/* ---- COLOR AND FONT DEFINITIONS ---- */

define("BGND1","#F2F2F2"); //background top
define("BGND2","#E0E0E0"); //background body
define("BGND3","#AAAAFF"); //navbar / endbar / th
define("BGND4","#FFFFFF"); //sidebar
define("BGND5","#C0C0C0"); //overlays
define("BGND8","#A0D070"); //confirm. msg
define("BGND9","#F0A070"); //error / warning msg
define("BGNDA","#FFFFBB"); //grid - time / weeknr column
define("BGNDB","#FFFFEE"); //grid - weekday 1
define("BGNDC","#FFFFDD"); //grid - weekday 2
define("BGNDD","#FFFFCC"); //grid - weekend 1
define("BGNDE","#FFFFBB"); //grid - weekend 2
define("BGNDF","#FEFEFE"); //grid - outside month
define("BGNDG","#FFFFDD"); //grid - today
define("LINE1","#808080"); //lines
define("BORD1","1px solid #808080"); //cal borders
define("BORD2","2px solid #AAAAFF"); //list borders
define("BORD3","2px solid #0000FF"); //border today
define("TEXT1","#2B3856"); //normal text
define("TEXT2","#888888"); //text in cells
define("FORMT","#666666"); //form input text
define("FONT1","arial, helvetica, sans-serif");
define("FONT2","tahoma, arial, helvetica, sans-serif");
?>

/* ---- general: site ----- */

* {padding:0; margin:0;}
body, input, textarea, select, td, th {font:11px arial, helvetica, sans-serif;}
body {background:<?php echo BGND2?>; color:<?php echo TEXT1?>; overflow:hidden;}
th {background:<?php echo BGND3?>;}
td {vertical-align:top;}
/* td, th {vertical-align:top;} */
a {color:<?php echo TEXT1?>; text-decoration:none; cursor:pointer;}
a.urlembed {font-weight:bold; text-decoration:underline;}
hr {margin:10px 0px; height:2px; border-width:0; color:<?php echo BGND3?>; background:<?php echo BGND3?>;}
p {text-align:justify;}
img {border-style:none;}

h3 {font-size:14px;}
h4 {font-size:13px;}
h5 {font-size:12px;}
h6 {font-size:11px;}

ul, ol {margin:0 25px;}

.fontS {font-size: .8em;}

.floatR {float:right;}
.floatL {float:left;}
.floatC {margin:auto; text-align:center;}
.center {margin:auto;}
.spaceL {margin-left:40px;}
.spaceLL {margin-left:15%;}

.point {cursor:pointer;}
.arrow {cursor:default;}
.button {font:10px arial, helvetica, sans-serif; cursor:pointer;}
.noButton {border:none; background:none; cursor:pointer; text-decoration:underline;}
.link {cursor:pointer; text-decoration:underline;}
.container {padding:15px 0 25px 0;}
.confirm {width:50%; text-align:center; background:<?php echo BGND8?>;}
.warning {width:50%; text-align:center; background:<?php echo BGND9?>;}
.noWarning {width:50%; text-align:center;}
.warningL {margin:10px 0 10px 15%; width:50%; text-align:center; background:<?php echo BGND9?>;}
.noWarningL {margin:10px 0 10px 15%; width:50%; text-align:center;}
.hilight {margin:10px 0; width:50%; background:<?php echo BGND9?>;}

/* ---- canvas ---- */

div.topBar {line-height:25px; padding:0px 20px; background:<?php echo BGND1?>;}
div.topBar h4 {text-shadow:grey 0.2em 0.3em 0.2em;}
div.navBar {clear:both; padding:0px 10px; line-height:20px; background:<?php echo BGND3?>; border:<?php echo BORD1?>;}
div.endBar {position:absolute; left:0; bottom:10px; width: 98%; padding:0 1%; background:<?php echo BGND3?>; border:<?php echo BORD1?>;}
div.content {clear:both; padding:3px 26px 0 10px;}
div.contentS {clear:both; padding:3px 10px;}
select.input, select.input option, input.input {padding: 0 0 0 4px;}

div#sideBar {position: absolute; top:8%; right:20px; height:60%; width:170px; padding:4px; border:<?php echo BORD2?>;
 font-size:7pt; background:<?php echo BGND1 ?>; z-index:20; overflow:hidden; display:none;}
div.upcList {position: absolute; top:30px; bottom:0px; width:100%; overflow:auto;}

 .footS {font-size:7pt;}
 .footLB {font-size:8pt; font-weight:bold; color:#0033FF; font-style:italic;}
 .footLR {font-size:8pt; font-weight:bold; color:#AA0066; font-style:italic;}
 .dragme {background:<?php echo BGND3?>; margin-top:2px; cursor:move;}

/* ---- all pages ----- */
.scroll {overflow:auto;}
.scrollBoxYe {position:absolute; left:0; top:70px; right:0; bottom:35px; padding:0 10px; overflow:auto;}
.scrollBoxMo, .scrollBoxWe, .scrollBoxDa {position:absolute; left:0; top:85px; right:0; bottom:35px; padding:0 10px; overflow-y:scroll;}
.scrollBoxUp, .scrollBoxCh {position:absolute; left:0; top:125px; right:0; bottom:35px; padding:0 10px; overflow:auto;}
.scrollBoxSe {position:absolute; left:14%; top:140px; right:0; bottom:70px; padding:0 10px; overflow:auto;}
.scrollBoxAd {position:absolute; left:14%; top:140px; right:0; bottom:35px; padding:0 10px; overflow:auto;}

table.mgrid {width:100%;}
table.mgrid td.holder{vertical-align:top; width:16%; padding:2px;}
table.grid {width:100%; border-collapse:collapse;table-layout:fixed;}
table.grid .wkColY {width:25px;}
table.grid .wkColM {width:25px;}
table.grid .dcol {border:<?php echo BORD1?>; width:14%;}
table.grid tr.monthWeek {height:120px;}
table.grid tr.yearWeek {height:40px;}
table.grid tr.miniWeek {height:28px;}

table.grid th { overflow:hidden; }
table.grid td { overflow:hidden; }
table.grid td.we0 {border:<?php echo BORD1?>; background:<?php echo BGNDD?>;}
table.grid td.we1 {border:<?php echo BORD1?>; background:<?php echo BGNDE?>;}
table.grid td.wd0 {border:<?php echo BORD1?>; background:<?php echo BGNDB?>;}
table.grid td.wd1 {border:<?php echo BORD1?>; background:<?php echo BGNDC?>;}
table.grid td.out {border:<?php echo BORD1?>; background:<?php echo BGNDF?>;}
table.grid td.blank {background:<?php echo BGND2?>;}
table.grid td.today {border:<?php echo BORD3?>;}

table.evtForm {width:100%; padding:5px; margin:0 0 10px 0; border-spacing:4px; background:<?php echo BGNDB?>;}

.viewhdr {display:inline-block; min-width:350px;}

/* -- view: year/month -- */

.square {
	float:left;
	width:8px;
	height:8px;
	border:<?php echo BORD1?>;
}

.miniSquare {
	float:left;
	width:5px;
	height:5px;
	border:<?php echo BORD1?>;
}

.event {
	padding:0 2px;
	margin-top:2px;
	font-size:11px;
	display:block;
}

.url {
	padding:0 2px;
	font-size:11px;
	cursor:pointer;
	display:block;
}

.dom {
	text-align:right;
	font-size:10px;
	font-weight:bold;
}

.dom a {
	display:block;
	width:100%;
}

.dom a:hover {
	background:<?php echo BGND2?>;
}

.wnr {
	vertical-align:middle;
	background:<?php echo BGNDA?>;
	text-align:center;
	font-size:10px;
	font-weight:bold;
}

.textS {
	font-size:11px;
}

.spacer {
	display:inline-block;
	width: 100px;
}

.miniFoot {
	padding:0 5px;
	font-size:8px;
}


/* -- view: week/day/dw_functions -- */

.day ul {
	margin:5px;
	padding:0px 15px;
}

.cell {
	display:block;
	border-bottom:<?php echo BORD1?>;
	color:<?php echo TEXT2?>;
}

.timeCell {
	border-bottom:<?php echo BORD1?>;
	text-align:center;
	color:<?php echo TEXT2?>;
}

.timeFrame {
	position:relative;
}

.timeh {
	width:50px;
	border:<?php echo BORD1?>; 
}

.timex {
	width:50px;
	border:<?php echo BORD1?>; 
	background:<?php echo BGNDA?>;
}

.dates {
	position:absolute;
	left:0px;
	top:0px;
	width:100%;
}

.date {
	position:absolute;
	border:<?php echo BORD1?>;
	z-index:1;
	overflow:hidden;
}

.inner {
	padding:0px 2px;
	font-size:11px;
}

.dayh {
	margin:-1px;
	border:<?php echo BORD1?>; 
	border-collapse:collapse;
}

.day {background:<?php echo BGNDB?>;}


/* -- view: upcoming / changes -- */

.eventBg {
	width:80%;
	background:<?php echo BGND1?>;
	margin:0 40px;
	padding:10px;
}

.headCh, .headUp {
	width:80%;
	margin:20px 40px 0 40px;
}

.lMarginUp {width:120px;}
.lMarginCh {width:100px;}


/* -- add/edit event -- */

div.repBox {
	position:absolute;
	left:40px; bottom:120px;
	width:360px;
	padding:10px;
	border:<?php echo BORD1?>;
	background:<?php echo BGND5?>;
	z-index:20;
	display:none;
}

/* ---- admin pages ----- */

.error {background:<?php echo BGND9?>;}

.sideBar {
	width:300px;
	border:<?php echo BORD1?>;
	background:<?php echo BGND4?>;
	margin:0 10px 10px 0;
	padding:5px;
}

.labelFix {
	width:300px;
	cursor:default;
	text-align: right;
	padding:0 6px 0 0;
}

.fieldBoxFix {
	width:100%;
	margin:10px 0;
	padding:15px;
	border:1px solid #888888;
	background:<?php echo BGND1?>;
}

.label {
	cursor:default;
	text-align: right;
	padding:0 6px 0 0;
}

.fieldBox {
	margin:10px 0;
	padding:15px;
	border:1px solid #888888;
	background:<?php echo BGND1?>;
}

.saveSettings {position:absolute; left:15%; bottom:35px;}

/* ---- log in ----- */

.loginBox {
	width:280px;
	padding:0 30px 30px 30px;
	border:1px solid #888888;
	background:<?php echo BGND1?>;
}

.legend {
	float:left;
	margin:-26px 0 0 0;
	font-weight:bold;
	background:<?php echo BGND1?>;
}

.legendI {
	float:left;
	margin:-6px 0 0 0;
	font-weight:bold;
	background:<?php echo BGND1?>;
}


/* ---- Date Picker Styles ----- */

.dpTable {
	width:150px;
	font:12px Tahoma, Arial, sans-serif;
	text-align:center;
	color:#505050;
	background:<?php echo BGND1?>;
	border:2px outset white;
}

table.dpTable th {
	background:<?php echo BGND3?>;
	border:1px solid #AAAAAA;
	color:<?php echo TEXT1?>;
}

.dpTD {
	border:1px solid <?php echo BGND1?>;
}

.dpTDHover {
	background:<?php echo BGND2?>;
	border:1px solid #888888;
	cursor:pointer;
	color:red;
}

.dpHilight {
	background:<?php echo BGND2?>;
	border:1px solid #888888;
	color:red;
	font-weight:bold;
}

.dpTitle {
	font-size:12px;
	color:<?php echo TEXT1?>;
	font-weight:bold;
}

.dpButton {
	font:10px verdana, tahoma, sans-serif;
	color:<?php echo TEXT1?>;
	background:<?php echo BGND2?>;
	font-weight:bold;
	cursor:pointer;
}

/* ---- Time Picker Styles ----- */

.tpFrame {
	width:140px;
	overflow:hidden;
	font:11px tahoma, arial, sans-serif;
	text-align:center;
	color:#505050;
	background:#F2F2F2;
	border:1px solid #AAAAAA;
}
.tpAM {background:#EEFFFF;}
.tpPM {background:#FFCCEE;}
.tpEM {background:#DDFFDD;}

.tpPick:hover {
	background:#A0A0A0;
	color:red;
}

/* ---- Poptext.js Styles ---- */

#htmlPop{
	position:absolute;
	width:150px;
	border:1px solid #808080;
	padding:2px;
	font-size:11px;
	border-radius: 5px;
	box-shadow: 5px 5px 5px #888;
	-moz-border-radius: 5px;
	-moz-box-shadow: 5px 5px 5px #888;
	padding: 5px 5px 5px 15px;
	background:#FFFFE0;
	visibility:hidden;
	z-index:100;
}

/* ---- Color Picker Styles ----- */

.cpDiv {
	width:165px;
	height:145px;
	overflow:auto;
	font:11px arial, helvetica, sans-serif;
	background:#CCCCCC;
	border:1px solid #666666;
}
.cpCell {
	cursor:pointer;
	width:15px;
	height:15px;
}
.cpButton{
	font:10px arial, helvetica, sans-serif;
	float:right;
	cursor:pointer;
}