<?php
/*
= month view of events =
Config Params: $weeksToShow (Number of weeks to show)


 Copyright 2009-2011  LuxSoft - www.LuxSoft.eu

This file is part of the LuxCal Web Calendar.

The LuxCal Web Calendar is free software: you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by the Free Software Foundation, 
either version 3 of the License, or (at your option) any later version.

The LuxCal Web Calendar is distributed in the hope that it will be useful, but WITHOUT 
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the LuxCal 
Web Calendar. If not, see <http://www.gnu.org/licenses/>.
*/

function sortEvt($a, $b) { return strcmp(str_pad($a['sti'],5).$a['seq'], str_pad($b['sti'],5).$b['seq']); }

function showGrid($date) {
	global $evtList, $privs, $showOwner, $showCatName, $showLinkInMV, $xx;
	if (!array_key_exists($date, $evtList)) { return; }
	usort($evtList[$date], 'sortEvt');
	foreach ($evtList[$date] as $evt) {
		$access = ($privs > 2 or $evt['uid'] == $_SESSION['uid']) ? true : false;
		switch ($evt['mde']) { //multi-day event?
			case 0: $time = ITtoDT($evt['sti']); break; //no
			case 1: $time = (($evt['sti'] != '00:00' and $evt['sti'] != '') ? ITtoDT($evt['sti']) : '&bull;').'&middot;&middot;&middot;'; break; //first
			case 2: $time = '&middot;&middot;&middot;'; break; //in between
			case 3: $time = '&middot;&middot;&middot;'.(($evt['eti'] < '23:59' and $evt['eti'] != '') ? ITtoDT($evt['eti']) : '&bull;'); //last
		}
		$popText = "<b>".$time.((!$evt['mde'] and $evt['eti']) ? " - ".ITtoDT($evt['eti'])." " : " ").$evt['tit']."</b>";
		if ($evt['ven']) { $popText .= "<br />".$evt['ven']; }
		if ($evt['des']) { $popText .= "<br />".$evt['des']; }
		if ($showCatName) { $popText .= "<br />".$xx['evt_category'].": ".$evt['cnm']; }
		if ($evt['not'] >= 0 and $access) { $popText .= "<br />".$xx['pop_notify'].": ".$evt['not']." ".$xx['pop_days']; }
		if ($showOwner) { $popText .= "<br />".$xx['pop_owner'].": ".$evt['una']; }
		$popText = htmlspecialchars(addslashes($popText));
		$popColor = ($evt['pri']) ? '#CCFFCC' : '#FFFFE0';
		$eColor = ($evt['col'] or $evt['bco']) ? " style=\"color:".$evt['col']."; background:".$evt['bco'].";\"" : "";
		echo "\n<div class=\"event point\"".$eColor." onclick=\"x=eventWin('index.php?xP=11&amp;id=".$evt['eid']."'); x.focus(); return false;\"";
		echo " onmouseover=\"popon('".$popText."', '".$popColor."')\" onmouseout=\"popoff()\">".$time." ".stripslashes($evt['tit'])."</div>\n";
		if ($showLinkInMV) {
			if (preg_match_all('%(<a\s[^<>]*?)(href="https{0,1}://[^|<>\s]{5,}"[^|<>]*?>[^|<>]*?</a>)%', $evt['des'], $urls, PREG_SET_ORDER)) {
				echo "<div class=\"url\"".$eColor.">";
				foreach ($urls as $url) {
					echo (($evt['col']) ? $url[1]."style=\"color:".$evt['col']."\" ".$url[2] : $url[0])."<br />";
				}
				echo "</div>\n";
			}
		}
	}
}

$cD = $_SESSION['cD'];
if ($weeksToShow == 0) { //show just one month
	$tfDay = mktime(12, 0, 0, substr($cD,5,2), 1, substr($cD,0,4)); //Unix time of 1st day of the month
	$prevDate = date("Y-m-d", $tfDay - 2 * 604800); //mid prev. month
	$nextDate = date("Y-m-d", $tfDay + 6 * 604800); //mid next month

	/* determine total number of days to show, start date, end date */
	$sOffset = ($weekStart) ? date("N", $tfDay) - 1 : date("w", $tfDay); //offset first day
	$eOffset = date("t", $tfDay) + $sOffset; //offset last day
	$totDays = ($eOffset == 28) ? 28 : (($eOffset > 35) ? 42 : 35);  //4, 5 or 6 weeks

	$st = $tfDay - $sOffset * 86400; //start time
	$et = $st + ($totDays - 1) * 86400; //end time
	$sDate = date("Y-m-d", $st);
	$eDate = date("Y-m-d", $et);
	$header = '<span class="viewhdr">'.makeD($cD,3).'</span>';
} else {
	$tcDate = mktime(12, 0, 0, substr($cD,5,2), substr($cD,8,2), substr($cD,0,4)); //Unix time of cD
	$jumpWeeks = $weeksToShow - intval($weeksToShow*0.5) + 1;
	$prevDate = date("Y-m-d", $tcDate - $jumpWeeks * 604800);
	$nextDate = date("Y-m-d", $tcDate + $jumpWeeks * 604800);

	/* determine total number of days to show, start date, end date */
	$totDays = $weeksToShow * 7;  //number of weeks to show
	$sOffset = ($weekStart) ? date("N", $tcDate) - 1 : date("w", $tcDate); //offset first day
	$st = $tcDate - ($sOffset + 7) * 86400; //start time
	$et = $st + ($totDays - 1) * 86400; //end time
	$sDate = date("Y-m-d", $st);
	$eDate = date("Y-m-d", $et);
	$header = '<span'.($mobile ? '' : ' class="viewhdr"').'>'.makeD($sDate,3).' - '.makeD($eDate,3).'</span>';
}

retrieve($sDate,$eDate);

/* display header*/
echo '<h4 class="floatC"><a href="index.php?cD=',$prevDate,'"><img src="images/arrowl.png" alt="back" /></a>',$header,'<a href="index.php?cD=',$nextDate,'"><img src="images/arrowr.png" alt="forward" /></a></h4>'."\n";
/* display days*/
echo '<table class="grid">'."\n";
if ($weekNumber) { echo '<col class="wkColM" />'; } //add week # column
echo '<colgroup span="7" class="dcol"></colgroup>'."\n";
echo "<tr>\n";
if ($weekNumber) { echo '<th>'.$xx["vws_wk"].'</th>'; } //week # hdr
for ($x = $weekStart; $x < ($weekStart+7); $x++) echo '<th>'.$wkDays[$x].'</th>'; //week days
echo '</tr>'."\n";
echo '</table>'."\n";

/* display calendar */
echo '<div'.($mobile ? '' : ' class="scrollBoxMo"').">\n";
echo '<table class="grid">'."\n";
if ($weekNumber) { 	echo '<col class="wkColM" />'; } //add week # column
echo '<colgroup span="7" class="dcol"></colgroup>'."\n";

/* build grid */
for ($i = 0; $i < $totDays; $i++) {
	$curTime = $st + $i * 86400;
	$curDate = date("Y-m-d", $curTime);
	$curM = ltrim(substr($curDate, 5, 2),"0");
	$curD = ltrim(substr($curDate, 8, 2),"0");
	if ($i%7 == 0) { //new week
		echo '<tr class="monthWeek">';
		if ($weekNumber) { //display week nr
			echo '<td class="wnr"><a href="index.php?cP=3&amp;cD=',$curDate,'" title="'.$xx["vws_view_week"].'">'.date("W", $curTime + 86400)."</a></td>\n";
		}
	}
// 1. Code needed for single month with days before and after
	if ($weeksToShow == 0) {
		$dow = ($i < $sOffset or $i >= $eOffset) ? 'class="out' : ((date("N", $curTime) > 5) ? 'class="we0' : 'class="wd0');
		$day = ($i == 0 or $curD == "1") ? makeD($curDate,1) : $curD;
	} else {
		$dow = (date("N", $curTime) > 5) ? 'class="we'.strval($curM%2) : 'class="wd'.strval($curM%2); //alternate color per month
		$day = $curD.$curM == "11" ? makeD($curDate,2) : (($i == 0 or $curD == "1") ? makeD($curDate,1) : $curD);
	}
	$dow .= ($curDate == date("Y-m-d")) ? ' today"' : '"';
	$dayHead = ($privs > 1) ? "<a onclick=\"x=eventWin('index.php?xP=10&amp;evDate=".$curDate."'); x.focus()\" title=\"".$xx["vws_add_event"]."\">".$day."</a>" : $day;
	echo "<td ".$dow."><div class=\"dom\">".$dayHead."</div>\n";
	showGrid($curDate);
// end 1.
// 2. Code needed for single month without days before and after
/*
	if ($weeksToShow != 0 or ($i >= $sOffset and $i < $eOffset)) { // not one month or day inside
		$daySuffix = ($weeksToShow == 0) ? '0' : strval($curM%2);
		echo (date("N", $curTime) > 5) ? '<td class="we'.$daySuffix : '<td class="wd'.$daySuffix; //alternate color per month
		echo (($curDate == date("Y-m-d")) ? ' today">' : '">');
		if ($weeksToShow != 0) {
			$day = $curD.$curM == "11" ? makeD($curDate,2) : (($i == 0 or $curD == "1") ? makeD($curDate,1) : makeD($curDate,1,'m3'));
		} else {
			$day = ($curD == "1") ? makeD($curDate,1) : $curD;
		}
		$dayHead = ($privs > 1) ? "<a onclick=\"x=eventWin('index.php?xP=10&amp;evDate=".$curDate."'); x.focus()\" title=\"".$xx["vws_add_event"]."\">".$day."</a>" : $day;
		echo "<div class=\"dom\">".$dayHead."</div>\n";
		showGrid($curDate);
	} else { // one month and day outside
		echo '<td class="blank">';
	}
*/
// end 2.
	echo "</td>\n";
	if ($i%7 == 6) { echo "</tr>\n"; } //if last day of week, wrap to left
}
echo "</table>\n";
echo "</div>\n";
?>
